#!/bin/sh
#
# getrevision.sh <version> <changelog>
#
# Check the Debian changelog for a package with <version>. Make sure it's
# part of a package descriptor not a change description; don't match lines
# starting with a space.
# If not found, revision is 1.
# If found, revision is one after the latest revision.

if [ $# -ne 2 ]; then
    echo "Usage: getrevision.sh <version> <changelog file>"
    exit 1
fi

log=$(grep -E -m 1 "^[^ ].*\($1-[0-9]+\)" "$2" 2> /dev/null)
if [ $? -eq 0 ]; then
    rev=$(echo $log | sed -E -e "s/.*-([0-9]+)\).*/\1/")
else
    rev=0
fi

echo $(($rev + 1))
exit 0

